import { ElementType } from "react";
import { useAppSelector } from "../../hooks";
import {} from "../../store";

export const WithHocAuth = (Component: ElementType) => {
  return function WithHocAuthComponent({ ...props }: {
    [key: string]: any;
  }) {
    const auth = false; // useAppSelector();
    const loginError = true; // useAppSelector();
    const refreshError = true; // useAppSelector();

    return (
      <Component
        auth={auth && !loginError && !refreshError}
        {...props}
      />
    );
  };
};

export type AuthType = any;
